(function () {

if (!app.selection || !app.selection.length)
	return;

return({
	version: 1,
	setup: {
		title: "Change Lifecycle Stage",
		id: "com.sassafras.lifestage",
		fields: [
			{
				id: "lifestage",
				label: "Set Lifecycle Stage To:",
				type: "menu",
				default: localStorage.getItem("lifestage"),
				options: [ "Deployed", "Maintenance", "Retired", "Ordered", "Acquired", "Stocked", "Missing", "Disposed", "Salvaged" ]
			}
		]
	},
	proceed: function (params) {
		localStorage.setItem("lifestage", params.lifestage);
		app.selection.forEach(function (obj) {
			obj.lifestage = params.lifestage;
			obj.commit();
		});
	}
});

})();
